libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Functions
SyncML Transport Private API
Low Level API Internals

Private Interfaces to manage transports. More...

Collaboration diagram for SyncML Transport Private API:

## Functions

void | smlTransportSetEventCallback (SmlTransport *tsp, SmlTransportEventCb callback, void *userdata)
SmlBool | smlTransportSend (SmlTransport *tsp, SmlLink *link_, SmlTransportData *data, SmlError **error)
void | smlTransportWorkerHandler (void *message, void *userdata)
SmlBool | smlTransportReceiveEvent (SmlTransport *tsp, SmlLink *link_, SmlTransportEventType type, SmlTransportData *data, SmlError *error)
SmlBool | smlTransportRunAsync (SmlTransport *tsp, SmlError **error)
void | smlTransportStop (SmlTransport *tsp)
SmlBool | smlTransportConnect (SmlTransport *tsp, SmlError **error)
SmlBool | smlTransportDisconnect (SmlTransport *tsp, SmlLink *link_, SmlError **error)
SmlTransportType | smlTransportGetType (SmlTransport *tsp)
SmlTransportData * | smlTransportDataNew (char *data, unsigned long size, SmlMimeType mimetype, SmlBool ownsData, SmlError **error)
SmlTransportData * | smlTransportDataRef (SmlTransportData *data)
void | smlTransportDataDeref (SmlTransportData *data)
void | smlTransportSetError (SmlTransport *tsp, SmlLink *link_, SmlError **error)
SmlLink * | smlLinkNew (SmlTransport *tsp, void *link_data, SmlError **error)
SmlLink * | smlLinkFind (SmlTransport *tsp, void *link_data)
SmlLink * | smlLinkRef (SmlLink *link_)
void | smlLinkDeref (SmlLink *link_)

## Detailed Description

Private Interfaces to manage transports.